Package ipfs.gomobile.android.bledriver

## Class Advertiser

- java.lang.Object
- - android.bluetooth.le.AdvertiseCallback
  - - ipfs.gomobile.android.bledriver.Advertiser

-     public class Advertiser
      extends android.bluetooth.le.AdvertiseCallback

- - ### Field Summary

    - ### Fields inherited from class android.bluetooth.le.AdvertiseCallback

      `ADVERTISE_FAILED_ALREADY_STARTED, ADVERTISE_FAILED_DATA_TOO_LARGE, ADVERTISE_FAILED_FEATURE_UNSUPPORTED, ADVERTISE_FAILED_INTERNAL_ERROR, ADVERTISE_FAILED_TOO_MANY_ADVERTISERS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Advertiser​(Logger logger, android.bluetooth.BluetoothAdapter bluetoothAdapter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isAdvertising()` |
    `boolean` | `isInit()` |
    `void` | `onStartFailure​(int errorCode)` |
    `void` | `onStartSuccess​(android.bluetooth.le.AdvertiseSettings settingsInEffect)` |
    `void` | `setAdvertisingState​(boolean state)` |
    `boolean` | `start​(java.lang.String id)` |
    `void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Advertiser

          public Advertiser​(Logger logger,
                            android.bluetooth.BluetoothAdapter bluetoothAdapter)

  - ### Method Detail

    - #### isInit

          public boolean isInit()

    - #### start

          public boolean start​(java.lang.String id)

    - #### stop

          public void stop()

    - #### setAdvertisingState

          public void setAdvertisingState​(boolean state)

    - #### isAdvertising

          public boolean isAdvertising()

    - #### onStartFailure

          public void onStartFailure​(int errorCode)

      Overrides:
        `onStartFailure` in class `android.bluetooth.le.AdvertiseCallback`

    - #### onStartSuccess

          public void onStartSuccess​(android.bluetooth.le.AdvertiseSettings settingsInEffect)

      Overrides:
        `onStartSuccess` in class `android.bluetooth.le.AdvertiseCallback`